# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::SessionConfigInterface Class Reference

This is an interface to session-specific configuration of the Document, Plugin and PluginViewInterface classes. More...

`#include <sessionconfiginterface.h>`

List of all members.

## Public Member Functions

unsigned int | configInterfaceNumber () const
virtual void | readSessionConfig (KConfig *)=0
virtual void | writeSessionConfig (KConfig *)=0

## Protected Member Functions

void | setSessionConfigInterfaceDCOPSuffix (const QCString &suffix)

## Friends

class | PrivateSessionConfigInterface

## Detailed Description

This is an interface to session-specific configuration of the Document, Plugin and PluginViewInterface classes.

Definition at line 34 of file sessionconfiginterface.h.

## Member Function Documentation

virtual void KTextEditor::SessionConfigInterface::readSessionConfig | ( | KConfig * |  | ) | `[pure virtual]`

| Read/Write session config of only this document/view/plugin In case of the document, that means for example it should reload the file, restore all marks, ...

The documentation for this class was generated from the following files:

- sessionconfiginterface.h
- sessionconfiginterface.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:17 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003